=== debian/changelog ===
fcitx-qt5 (1.2.3.6-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 08 Apr 2021 16:00:09 +0800

fcitx-qt5 (1.2.5-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/control: Rename package fcitx5-module-quickphrase-editor
    back to fcitx-module-quickphrase-editor. The current design has
    made it incompatible with fcitx5. (Closes: #964189)
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Jan 2021 16:01:45 -0500

fcitx-qt5 (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libfcitx-qt5-1.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 14:10:03 -0400

fcitx-qt5 (1.2.4+git20200609-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (2020-06-09).
    + Compatible with kcm-fcitx 0.5.6.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
  * debian/upstream/signing-key.asc: Since we are using snapshot
    tarball, disable key signing check for now. This should be
    reverted with next upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 11:00:03 -0400

fcitx-qt5 (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.2.4.
  * debian/control:
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:44:13 -0500

fcitx-qt5 (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild after Debian Buster release.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    + No longer let fcitx5-module-quickphrase-editor provide
      fcitx-module-quickphrase-editor since the new fcitx is
      declaring "Breaks:" relationship on the latter one.
  * debian/libfcitx-qt5-1.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Sep 2019 18:30:02 -0400
