## fcitx-qt5 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 include(CheckCXXCompilerFlag)
 
-check_cxx_compiler_flag("-std=gnu++11" SUPPORT_CXX11)
+check_cxx_compiler_flag("-std=c++11" SUPPORT_CXX11)
 
 if(NOT SUPPORT_CXX11)
     message(FATAL_ERROR "need c++ 11 compatible compiler to compile")
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11 -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets Concurrent)
 find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
@@ -37,7 +37,7 @@
 find_package(LibIntl REQUIRED)
 endif ()
 
-set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/FcitxQt5)
+set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
 
 if (ENABLE_LIBRARY)
 add_subdirectory(dbusaddons)
