=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.4.1
 Homepage: https://www.fcitx-im.org
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5
@@ -44,16 +44,16 @@
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
 
-Package: fcitx-module-quickphrase-editor
+Package: fcitx5-module-quickphrase-editor
 Architecture: any
 Depends:
  libfcitx-qt5-data,
  ${misc:Depends},
  ${shlibs:Depends},
 Replaces:
- fcitx5-module-quickphrase-editor (<< 1.2.5-2),
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
 Breaks:
- fcitx5-module-quickphrase-editor (<< 1.2.5-2),
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
 Suggests:
  fcitx-config-gtk | fcitx-config-gtk2 | kde-config-fcitx,
 Multi-Arch: same
@@ -70,7 +70,7 @@
  .
  This package provides the Quick Phrase Editor module for configuration tools
  including fcitx-config-gtk and kde-config-fcitx. It is compatible with both
- fcitx4.
+ fcitx4 and fcitx5.
 
 Package: libfcitx-qt5-1
 Architecture: any
