=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  YunQiang Su <syq@debian.org>,
 Build-Depends:
  cmake (>= 3.1),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules (>= 1.4.0),
  fcitx-libs-dev (>= 1:4.2.8),
  intltool,
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.fcitx-im.org
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5
