## fcitx-qt5 1.2.6.2

=== debian/changelog ===
fcitx-qt5 (1.2.6.2-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 21 Dec 2021 16:29:42 +0800
