=== debian/changelog ===
fcitx-qt5 (1.2.6.4-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 20 May 2022 17:43:03 +0800

fcitx-qt5 (1.2.6.3-1) experimental; urgency=medium

  * 龙芯1050集成

 -- chenshijie <chenshijie@uniontech.com>  Fri, 21 Dec 2021 16:39:00 -0500
