=== debian/changelog ===
fcitx-qt5 (1.2.7-3ubuntu8) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:42:21 +0100

fcitx-qt5 (1.2.7-3ubuntu7) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:54:06 +0300

fcitx-qt5 (1.2.7-3ubuntu6) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:47 -0500

fcitx-qt5 (1.2.7-3ubuntu5) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Feb 2025 01:32:53 -0600

fcitx-qt5 (1.2.7-3ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:32 -0600

fcitx-qt5 (1.2.7-3ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:32 -0600

fcitx-qt5 (1.2.7-3ubuntu2) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:51:51 +0100

fcitx-qt5 (1.2.7-3ubuntu1) oracular; urgency=medium

  * Add a patch to avoid calling qmake6, which is broken on arm64.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 21:06:47 +0300

fcitx-qt5 (1.2.7-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 3.1).
    + Build-Depends: Drop versioned constraint on extra-cmake-modules (>=
      1.4.0).
    + Build-Depends: Drop versioned constraint on fcitx-libs-dev (>= 1:4.2.8).

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.7.0.
  * debian/libfcitx-qt5-1.symbols: Workaround symbol inconsistency.
    (Closes: #1076880)
  * debian/control: Replace build-dependency pkg-config => pkgconf.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 16:12:11 -0400

fcitx-qt5 (1.2.7-2) unstable; urgency=medium

  * Team upload.
  * Enable Qt6 support.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:59:18 -0400

fcitx-qt5 (1.2.7-1.2) unstable; urgency=high

  * Team upload.
  * Do not let fcitx-module-quickphrase-editor5 provide
    fcitx-module-quickphrase-editor. (Closes: #1005003)

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 14:46:41 -0500

fcitx-qt5 (1.2.7-1.1) unstable; urgency=medium

  * Team upload.
  * Do not bump version string to -2 to preserve qt6
    package in Debian experimental.
  * Rename fcitx5-module-quickphrase-editor to
    fcitx-module-quickphrase-editor5. This package now has nothing
    to do with fcitx5. (Closes: #964189)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 11:04:03 -0500

fcitx-qt5 (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/rules: Prepare for Qt6 infrastructure.
  * Refresh symbol files.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Jan 2022 22:02:16 -0500

fcitx-qt5 (1.2.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0.

  [ Gunnar Hjalmarsson ]
  * Tweak symbols file for ppc64el on Ubuntu

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Oct 2021 15:16:46 -0400

fcitx-qt5 (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 21:51:07 -0400
