=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx-qt5/ \
 fcitx-qt5-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
